Name:          junit-benchmarks
Version:       0.7.2
Release:       %mkrel 2
Summary:       JUnitBenchmarks
Group:         Development/Java
License:       ASL 2.0
URL:           http://labs.carrotsearch.com/junit-benchmarks.html
Source0:       https://github.com/carrotsearch/junit-benchmarks/archive/release/%{version}.tar.gz

BuildRequires: mvn(com.h2database:h2)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(mysql:mysql-connector-java)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

# test deps
BuildRequires: mvn(dom4j:dom4j)
BuildRequires: mvn(jaxen:jaxen)
BuildRequires: mvn(org.codehaus.jackson:jackson-core-asl)
BuildRequires: mvn(org.codehaus.jackson:jackson-mapper-asl)
%if 0
BuildRequires: mvn(mysql:mysql-connector-mxj:5.0.12)
BuildRequires: mvn(org.easytesting:fest-assert-core:2.0M10)
%endif

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin

BuildArch:     noarch

%description
A framework for writing performance micro-benchmarks using JUnit4 annotations.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-release-%{version}

%pom_remove_plugin :maven-clover2-plugin
# require retrotranslator
%pom_remove_plugin :maven-antrun-plugin

%pom_remove_dep mysql:mysql-connector-mxj
%pom_remove_dep org.easytesting:fest-assert-core
rm -r src/test/java/com/carrotsearch/junitbenchmarks/TestAssumptions.java

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README
%license junit-benchmarks.LICENSE

%files javadoc -f .mfiles-javadoc
%license junit-benchmarks.LICENSE


%changelog
* Tue Mar 01 2016 daviddavid <daviddavid> 0.7.2-2.mga6
+ Revision: 981310
- First rebuild of the java stack
- sync package junit-benchmarks with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Jan 18 2015 daviddavid <daviddavid> 0.7.2-1.mga5
+ Revision: 811239
- Sync with fc21 (update to 0.7.2)
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-7.mga5
+ Revision: 745650
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.3.0-5.mga4
+ Revision: 545910
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 0.3.0-4.mga4
+ Revision: 501961
- BR maven-local for mvn-rpmbuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3.0-3.mga3
+ Revision: 355721
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 0.3.0-2.mga3
+ Revision: 342992
- Remove findbugs-maven-plugin deps

* Wed Nov 02 2011 gil <gil> 0.3.0-1.mga2
+ Revision: 161667
- imported package junit-benchmarks

